<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: MetaSrf08 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_meta_srf08.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_meta_srf08-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">MetaSrf08 Class Reference<div class="ingroups"><a class="el" href="group___sensor_actuator.html">SensorActuator</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe haut niveau intégrant le capteur à ultra son SRF08.  
 <a href="class_meta_srf08.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_meta_srf08_8h_source.html">MetaSrf08.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for MetaSrf08:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="class_meta_srf08.png" usemap="#MetaSrf08_map" alt=""/>
  <map id="MetaSrf08_map" name="MetaSrf08_map">
<area href="class_srf08.html" title="Classe intégrant le capteur à ultra son SRF08. " alt="Srf08" shape="rect" coords="81,112,152,136"/>
<area href="class_sensor.html" alt="Sensor" shape="rect" coords="0,56,71,80"/>
<area href="class_thread.html" title="Classe définissant un thread. " alt="Thread" shape="rect" coords="81,56,152,80"/>
<area href="class_i_o_device.html" title="Classe de base pour un système à entrées/sorties. " alt="IODevice" shape="rect" coords="162,56,233,80"/>
<area href="class_object.html" title="Classe representant un Object. " alt="Object" shape="rect" coords="0,0,71,24"/>
<area href="class_object.html" title="Classe representant un Object. " alt="Object" shape="rect" coords="81,0,152,24"/>
<area href="class_object.html" title="Classe representant un Object. " alt="Object" shape="rect" coords="162,0,233,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2e1bc681bfa0f9a4a9c89f13fbcc3a9d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e1bc681bfa0f9a4a9c89f13fbcc3a9d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MetaSrf08</b> (<a class="el" href="class_framework_manager.html">FrameworkManager</a> *parent, std::string name, <a class="el" href="class_i2c_port.html">I2cPort</a> *i2cport, uint16_t address, int priority)</td></tr>
<tr class="separator:a2e1bc681bfa0f9a4a9c89f13fbcc3a9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba833d978fc1c94d0235e575b1086af6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba833d978fc1c94d0235e575b1086af6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>StartTraj</b> (float start_pos, float end_pos)</td></tr>
<tr class="separator:aba833d978fc1c94d0235e575b1086af6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35375005183f1825e3931d43496823e4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35375005183f1825e3931d43496823e4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>StopTraj</b> (void)</td></tr>
<tr class="separator:a35375005183f1825e3931d43496823e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab134e47afe0a03faffe24ed5ec2b745b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab134e47afe0a03faffe24ed5ec2b745b"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>zCons</b> (void)</td></tr>
<tr class="separator:ab134e47afe0a03faffe24ed5ec2b745b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c0f54174f16fe5d3034750ddd31b02c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c0f54174f16fe5d3034750ddd31b02c"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>VzCons</b> (void)</td></tr>
<tr class="separator:a1c0f54174f16fe5d3034750ddd31b02c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82fbdaf0f1553489faa2406c575e9aec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a82fbdaf0f1553489faa2406c575e9aec"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetzConsOffset</b> (float value)</td></tr>
<tr class="separator:a82fbdaf0f1553489faa2406c575e9aec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d93ed81ac2d5dd2b198860f472ec8e8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3d93ed81ac2d5dd2b198860f472ec8e8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetVzConsOffset</b> (float value)</td></tr>
<tr class="separator:a3d93ed81ac2d5dd2b198860f472ec8e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0703d27fe66cbbb079444d0849c6b194"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0703d27fe66cbbb079444d0849c6b194"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>UpdateCons</b> (Time time)</td></tr>
<tr class="separator:a0703d27fe66cbbb079444d0849c6b194"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f9e093c2a5693ae3af73ab458d0953e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f9e093c2a5693ae3af73ab458d0953e"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>z</b> (void)</td></tr>
<tr class="separator:a7f9e093c2a5693ae3af73ab458d0953e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27019b5220173bbb49c2555fc631cb7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a27019b5220173bbb49c2555fc631cb7f"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Vz</b> (void)</td></tr>
<tr class="separator:a27019b5220173bbb49c2555fc631cb7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa91dc2405b7c41a4e79a25ddf3c682f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa91dc2405b7c41a4e79a25ddf3c682f"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>zDec</b> (void)</td></tr>
<tr class="separator:afa91dc2405b7c41a4e79a25ddf3c682f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a161911d9f090d9687270692afdf492"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a161911d9f090d9687270692afdf492"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>zAtt</b> (void)</td></tr>
<tr class="separator:a1a161911d9f090d9687270692afdf492"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_srf08"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_srf08')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_srf08.html">Srf08</a></td></tr>
<tr class="memitem:a892dc3705c3bf4b23019219dc486a49f inherit pub_methods_class_srf08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a892dc3705c3bf4b23019219dc486a49f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Srf08</b> (<a class="el" href="class_framework_manager.html">FrameworkManager</a> *parent, std::string name, <a class="el" href="class_i2c_port.html">I2cPort</a> *i2cport, uint16_t address, int priority)</td></tr>
<tr class="separator:a892dc3705c3bf4b23019219dc486a49f inherit pub_methods_class_srf08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d60c93988ef9c2295099b07c11bac55 inherit pub_methods_class_srf08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d60c93988ef9c2295099b07c11bac55"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Lock</b> (void)</td></tr>
<tr class="separator:a7d60c93988ef9c2295099b07c11bac55 inherit pub_methods_class_srf08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6e9b6ecf9c04e061a0b5fb80f6fb13a inherit pub_methods_class_srf08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa6e9b6ecf9c04e061a0b5fb80f6fb13a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Unlock</b> (void)</td></tr>
<tr class="separator:aa6e9b6ecf9c04e061a0b5fb80f6fb13a inherit pub_methods_class_srf08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a553e0503787eac385b9bc1a8111c0906 inherit pub_methods_class_srf08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a553e0503787eac385b9bc1a8111c0906"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>UseDefaultPlot</b> (void)</td></tr>
<tr class="separator:a553e0503787eac385b9bc1a8111c0906 inherit pub_methods_class_srf08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3df4f613ce3f8dc418c102cd4d319e4a inherit pub_methods_class_srf08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3df4f613ce3f8dc418c102cd4d319e4a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetRange</b> (void)</td></tr>
<tr class="separator:a3df4f613ce3f8dc418c102cd4d319e4a inherit pub_methods_class_srf08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af84892fcad62deb53c8d7bfed5baec2b inherit pub_methods_class_srf08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af84892fcad62deb53c8d7bfed5baec2b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetMaxGain</b> (void)</td></tr>
<tr class="separator:af84892fcad62deb53c8d7bfed5baec2b inherit pub_methods_class_srf08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8ce8e4bd8bb3997fa8db92a99968944 inherit pub_methods_class_srf08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8ce8e4bd8bb3997fa8db92a99968944"></a>
<a class="el" href="class_data_plot1_d.html">DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>zPlot</b> (void)</td></tr>
<tr class="separator:af8ce8e4bd8bb3997fa8db92a99968944 inherit pub_methods_class_srf08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8755c290841012bcce5afe3c7a9cf3d inherit pub_methods_class_srf08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa8755c290841012bcce5afe3c7a9cf3d"></a>
<a class="el" href="class_grid_layout.html">GridLayout</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>SetupLayout</b> (void)</td></tr>
<tr class="separator:aa8755c290841012bcce5afe3c7a9cf3d inherit pub_methods_class_srf08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca85c119de41889db71c15b37df1c6ac inherit pub_methods_class_srf08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca85c119de41889db71c15b37df1c6ac"></a>
<a class="el" href="class_tab.html">Tab</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>PlotTab</b> (void)</td></tr>
<tr class="separator:aca85c119de41889db71c15b37df1c6ac inherit pub_methods_class_srf08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1cb76e9b8d095b93117e8263496ec1f inherit pub_methods_class_srf08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad1cb76e9b8d095b93117e8263496ec1f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Srf08</b> (<a class="el" href="class_modele.html">Modele</a> *parent, std::string name)</td></tr>
<tr class="separator:ad1cb76e9b8d095b93117e8263496ec1f inherit pub_methods_class_srf08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb03f4fd87c0f98324905106a5d4933e inherit pub_methods_class_srf08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb03f4fd87c0f98324905106a5d4933e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>UpdateRT</b> (struct rtsimu_states states)</td></tr>
<tr class="separator:abb03f4fd87c0f98324905106a5d4933e inherit pub_methods_class_srf08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec09e50af4650be5c80b3dec35122e8c inherit pub_methods_class_srf08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec09e50af4650be5c80b3dec35122e8c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>InitUI</b> (<a class="el" href="class_tab_widget.html">TabWidget</a> *tabwidget)</td></tr>
<tr class="separator:aec09e50af4650be5c80b3dec35122e8c inherit pub_methods_class_srf08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_sensor"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_sensor')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_sensor.html">Sensor</a></td></tr>
<tr class="memitem:a9860002e4f6aeb5a1ce5b651ac008c38 inherit pub_methods_class_sensor"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9860002e4f6aeb5a1ce5b651ac008c38"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Sensor</b> (<a class="el" href="class_modele.html">Modele</a> *parent, std::string name)</td></tr>
<tr class="separator:a9860002e4f6aeb5a1ce5b651ac008c38 inherit pub_methods_class_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a588cf9896a6c1f62733bc7faf013941d">Object</a> (<a class="el" href="class_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur.  <a href="#a588cf9896a6c1f62733bc7faf013941d">More...</a><br/></td></tr>
<tr class="separator:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8f5483f459e46687bd01e6f9977afd3 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#ae8f5483f459e46687bd01e6f9977afd3">~Object</a> ()</td></tr>
<tr class="memdesc:ae8f5483f459e46687bd01e6f9977afd3 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Déstructeur.  <a href="#ae8f5483f459e46687bd01e6f9977afd3">More...</a><br/></td></tr>
<tr class="separator:ae8f5483f459e46687bd01e6f9977afd3 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9d633c51c6c06486cb1eca238a01ea5 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#ab9d633c51c6c06486cb1eca238a01ea5">ObjectName</a> (void)</td></tr>
<tr class="memdesc:ab9d633c51c6c06486cb1eca238a01ea5 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nom.  <a href="#ab9d633c51c6c06486cb1eca238a01ea5">More...</a><br/></td></tr>
<tr class="separator:ab9d633c51c6c06486cb1eca238a01ea5 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a003c71b5073abbbd2addb4153c3f25fc inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a003c71b5073abbbd2addb4153c3f25fc">ObjectType</a> (void)</td></tr>
<tr class="memdesc:a003c71b5073abbbd2addb4153c3f25fc inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a003c71b5073abbbd2addb4153c3f25fc">More...</a><br/></td></tr>
<tr class="separator:a003c71b5073abbbd2addb4153c3f25fc inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f0cf0be56c6a2ba1d8b266906dacdef inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a1f0cf0be56c6a2ba1d8b266906dacdef">Parent</a> (void)</td></tr>
<tr class="memdesc:a1f0cf0be56c6a2ba1d8b266906dacdef inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a1f0cf0be56c6a2ba1d8b266906dacdef">More...</a><br/></td></tr>
<tr class="separator:a1f0cf0be56c6a2ba1d8b266906dacdef inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89f6628d70f36989fdad3c095839d90f inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a89f6628d70f36989fdad3c095839d90f">RootParent</a> (void)</td></tr>
<tr class="memdesc:a89f6628d70f36989fdad3c095839d90f inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent d'origine.  <a href="#a89f6628d70f36989fdad3c095839d90f">More...</a><br/></td></tr>
<tr class="separator:a89f6628d70f36989fdad3c095839d90f inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae69a726bbe66e071e1bc736a52f2c24 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_framework_manager.html">FrameworkManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#aae69a726bbe66e071e1bc736a52f2c24">RootFrameworkManager</a> (void)</td></tr>
<tr class="memdesc:aae69a726bbe66e071e1bc736a52f2c24 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_framework_manager.html" title="Classe de base du Framework. ">FrameworkManager</a> d'origine.  <a href="#aae69a726bbe66e071e1bc736a52f2c24">More...</a><br/></td></tr>
<tr class="separator:aae69a726bbe66e071e1bc736a52f2c24 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affaf94193943017da65e34ea2cc8aff8 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#affaf94193943017da65e34ea2cc8aff8">TypeChilds</a> (void)</td></tr>
<tr class="memdesc:affaf94193943017da65e34ea2cc8aff8 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enfants du même type.  <a href="#affaf94193943017da65e34ea2cc8aff8">More...</a><br/></td></tr>
<tr class="separator:affaf94193943017da65e34ea2cc8aff8 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a498c46154eba1f2f1806dc8776e8b6e8 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a498c46154eba1f2f1806dc8776e8b6e8">Childs</a> (void)</td></tr>
<tr class="memdesc:a498c46154eba1f2f1806dc8776e8b6e8 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enfants.  <a href="#a498c46154eba1f2f1806dc8776e8b6e8">More...</a><br/></td></tr>
<tr class="separator:a498c46154eba1f2f1806dc8776e8b6e8 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afebac3a16418e7e7394d4d395694c42a inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">Time&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#afebac3a16418e7e7394d4d395694c42a">GetTime</a> (void)</td></tr>
<tr class="memdesc:afebac3a16418e7e7394d4d395694c42a inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Temps.  <a href="#afebac3a16418e7e7394d4d395694c42a">More...</a><br/></td></tr>
<tr class="separator:afebac3a16418e7e7394d4d395694c42a inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2197a00312a960362dbce0d31819d9ae inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a2197a00312a960362dbce0d31819d9ae">Printf</a> (const char *format,...)</td></tr>
<tr class="memdesc:a2197a00312a960362dbce0d31819d9ae inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">printf  <a href="#a2197a00312a960362dbce0d31819d9ae">More...</a><br/></td></tr>
<tr class="separator:a2197a00312a960362dbce0d31819d9ae inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a119852e43f936ff51605c4e994aa3883">Warning</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Warning.  <a href="#a119852e43f936ff51605c4e994aa3883">More...</a><br/></td></tr>
<tr class="separator:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a28958c66842aafb754b3f851c6bbc867">Error</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error.  <a href="#a28958c66842aafb754b3f851c6bbc867">More...</a><br/></td></tr>
<tr class="separator:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a6a9e4e23a9d13a07552bc37f8cc004aa">ErrorOccured</a> (bool recursive=true)</td></tr>
<tr class="memdesc:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Vérifie si erreur.  <a href="#a6a9e4e23a9d13a07552bc37f8cc004aa">More...</a><br/></td></tr>
<tr class="separator:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_thread')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_thread.html">Thread</a></td></tr>
<tr class="memitem:a5ecb5dd244bd920cf0f6d933174c96d5 inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5ecb5dd244bd920cf0f6d933174c96d5"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Thread</b> (<a class="el" href="class_object.html">Object</a> *parent, std::string name, int priority)</td></tr>
<tr class="separator:a5ecb5dd244bd920cf0f6d933174c96d5 inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b42f82341afd2747ea093b6ac8b91cb inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b42f82341afd2747ea093b6ac8b91cb"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Start</b> (void)</td></tr>
<tr class="separator:a2b42f82341afd2747ea093b6ac8b91cb inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17ebc773c82d21d4a760a2e3fc9b09fd inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a17ebc773c82d21d4a760a2e3fc9b09fd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SafeStop</b> (void)</td></tr>
<tr class="separator:a17ebc773c82d21d4a760a2e3fc9b09fd inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cf4f8fda654e818209c65718dd81b9d inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6cf4f8fda654e818209c65718dd81b9d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>ToBeStopped</b> (void)</td></tr>
<tr class="separator:a6cf4f8fda654e818209c65718dd81b9d inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aada851bbf54cd72be34cb30eb24dc085 inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aada851bbf54cd72be34cb30eb24dc085"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Join</b> (void)</td></tr>
<tr class="separator:aada851bbf54cd72be34cb30eb24dc085 inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3baebf1021f7cce17343185bf393159 inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa3baebf1021f7cce17343185bf393159"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetPeriodUS</b> (uint32_t period)</td></tr>
<tr class="separator:aa3baebf1021f7cce17343185bf393159 inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12fba6097937a2d75fc258837f994364 inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12fba6097937a2d75fc258837f994364"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetPeriodMS</b> (uint32_t period)</td></tr>
<tr class="separator:a12fba6097937a2d75fc258837f994364 inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3d8a17e71cb60b4ab8071d1e43e0e9f inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af3d8a17e71cb60b4ab8071d1e43e0e9f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>WaitPeriod</b> (void)</td></tr>
<tr class="separator:af3d8a17e71cb60b4ab8071d1e43e0e9f inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a107c735b49292fa76e2ae2225eee133e inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a107c735b49292fa76e2ae2225eee133e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Suspend</b> (void)</td></tr>
<tr class="separator:a107c735b49292fa76e2ae2225eee133e inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8175399e8cca4cbb8bde04ac4584dc7f inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8175399e8cca4cbb8bde04ac4584dc7f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Resume</b> (void)</td></tr>
<tr class="separator:a8175399e8cca4cbb8bde04ac4584dc7f inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8e0c6ef3c96e0105d86fd08405a277c inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8e0c6ef3c96e0105d86fd08405a277c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsSuspended</b> (void)</td></tr>
<tr class="separator:ad8e0c6ef3c96e0105d86fd08405a277c inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88b23e48d0c29e1baef79e3b1942b0e4 inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a88b23e48d0c29e1baef79e3b1942b0e4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SleepUntil</b> (Time time)</td></tr>
<tr class="separator:a88b23e48d0c29e1baef79e3b1942b0e4 inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bb79cbe235552d5b1aacc7e371fc9ca inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6bb79cbe235552d5b1aacc7e371fc9ca"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SleepMS</b> (uint32_t time)</td></tr>
<tr class="separator:a6bb79cbe235552d5b1aacc7e371fc9ca inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39180b6ea9bd598b6595ada5a024ff35 inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a39180b6ea9bd598b6595ada5a024ff35"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SleepUS</b> (uint32_t time)</td></tr>
<tr class="separator:a39180b6ea9bd598b6595ada5a024ff35 inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa98e43517e6b9f6e0b20a6a1115c6c65 inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa98e43517e6b9f6e0b20a6a1115c6c65"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>WarnUponSwitches</b> (bool value)</td></tr>
<tr class="separator:aa98e43517e6b9f6e0b20a6a1115c6c65 inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adad4c331a6571f2a0b6c7005292fb3d7 inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adad4c331a6571f2a0b6c7005292fb3d7"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>WaitUpdate</b> (<a class="el" href="class_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="separator:adad4c331a6571f2a0b6c7005292fb3d7 inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_i_o_device.html">IODevice</a></td></tr>
<tr class="memitem:af654a28da90b978a4c7ab8b5c88dac3d inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af654a28da90b978a4c7ab8b5c88dac3d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>IODevice</b> (<a class="el" href="class_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="separator:af654a28da90b978a4c7ab8b5c88dac3d inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac81c7aa95caa0bf9266428783f143000 inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac81c7aa95caa0bf9266428783f143000"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>ProcessUpdate</b> (<a class="el" href="classio__data.html">io_data</a> *data)</td></tr>
<tr class="separator:ac81c7aa95caa0bf9266428783f143000 inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebe7a656454173c66953720b441ac267 inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aebe7a656454173c66953720b441ac267"></a>
virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><b>LogSize</b> (void)</td></tr>
<tr class="separator:aebe7a656454173c66953720b441ac267 inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af78f2cd9a3325a0de89ba1f394747ab6 inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af78f2cd9a3325a0de89ba1f394747ab6"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>PostLog</b> (file_socket *socket)</td></tr>
<tr class="separator:af78f2cd9a3325a0de89ba1f394747ab6 inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad678a8c929e1863de489e38984e1f984 inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad678a8c929e1863de489e38984e1f984"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>AppendLog</b> (char *ptr)</td></tr>
<tr class="separator:ad678a8c929e1863de489e38984e1f984 inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa80be7172750b2e9ca9d02b918caf72f inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa80be7172750b2e9ca9d02b918caf72f"></a>
<a class="el" href="classio__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>DataToLog</b> ()</td></tr>
<tr class="separator:aa80be7172750b2e9ca9d02b918caf72f inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_class_sensor"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_sensor')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="class_sensor.html">Sensor</a></td></tr>
<tr class="memitem:abd985a6ff31cc78dc31e6434f49f05d2 inherit pro_methods_class_sensor"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abd985a6ff31cc78dc31e6434f49f05d2"></a>
<a class="el" href="class_modele.html">Modele</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>ParentModele</b> (void)</td></tr>
<tr class="separator:abd985a6ff31cc78dc31e6434f49f05d2 inherit pro_methods_class_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="class_i_o_device.html">IODevice</a></td></tr>
<tr class="memitem:a4c9df5ddb30faf34676efbdbd9fe5473 inherit pro_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4c9df5ddb30faf34676efbdbd9fe5473"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetDataToLog</b> (<a class="el" href="classio__data.html">io_data</a> *data)</td></tr>
<tr class="separator:a4c9df5ddb30faf34676efbdbd9fe5473 inherit pro_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9be704338e9db077770f891400917451 inherit pro_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9be704338e9db077770f891400917451"></a>
Logger *&#160;</td><td class="memItemRight" valign="bottom"><b>GetOwnLogger</b> (void)</td></tr>
<tr class="separator:a9be704338e9db077770f891400917451 inherit pro_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe haut niveau intégrant le capteur à ultra son SRF08. </p>
<p>Contient un capteur SRF08, une dérivée, d'euler, un passe bas et un generateur de consigne. Cette classe est adaptée pour un capteur d'altitude. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_meta_srf08.html">MetaSrf08</a></li>
    <li class="footer">Generated on Fri Jan 17 2014 14:04:36 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
